Delete an annotation
curl --request DELETE \
--url https://{region}.affinda.com/v3/annotations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/annotations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/annotations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"validationResults": {}
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Annotations
Delete an annotation
Deletes the specified annotation from the database.
DELETE
/
v3
/
annotations
/
{id}
Delete an annotation
curl --request DELETE \
--url https://{region}.affinda.com/v3/annotations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/annotations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/annotations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"validationResults": {}
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Path Parameters
Annotation's ID
Required range:
x >= 1Example:
1
Response
Successfully deleted annotation.
The validation results created, changed or deleted as a result of deleting the annotation.
Was this page helpful?
⌘I